Bug 1265474 - dmraid's systemd configuration file has incorrect Before= and After= settings
dmraid's systemd configuration file has incorrect Before= and After= settings
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-09-22 23:13 EDT by me
Modified: 2015-12-02 13:19 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-02 10:26:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description me 2015-09-22 23:13:13 EDT
Description of problem:

In the man page for systemd.unit:
Before=, After=
           A space-separated list of unit names. Configures ordering dependencies between units. If a unit foo.service contains a setting Before=bar.service and both units are being
           started, bar.service's start-up is delayed until foo.service is started up. Note that this setting is independent of and orthogonal to the requirement dependencies as configured
           by Requires=. It is a common pattern to include a unit name in both the After= and Requires= option, in which case the unit listed will be started before the unit that is
           configured with these options. This option may be specified more than once, in which case ordering dependencies for all listed names are created.  After= is the inverse of
           Before=, i.e. while After= ensures that the configured unit is started after the listed unit finished starting up, Before= ensures the opposite, i.e. that the configured unit is
           fully started up before the listed unit is started. Note that when two units with an ordering dependency between them are shut down, the inverse of the start-up order is applied.
           i.e. if a unit is configured with After= on another unit, the former is stopped before the latter if both are shut down. If one unit with an ordering dependency on another unit
           is shut down while the latter is started up, the shut down is ordered before the start-up regardless of whether the ordering dependency is actually of type After= or Before=. If
           two units have no ordering dependencies between them, they are shut down or started up simultaneously, and no ordering takes place.

However the dmraid-activation.service it is configured incorrectly by default:
Before=lvm2-activation-early.service cryptsetup.target local-fs.target shutdown.target

Version-Release number of selected component (if applicable):


How reproducible:

Setup a system with a raid using dmraid

Steps to Reproduce:
1. Setup a raid logical volume in the systems bios or raid utility
2. Install Fedora 21
3. Edit /etc/fstab to mount /dev/mapper/<drive>
4. Reboot the system

Actual results:

The system will attempt to mount filesystems before the dmraid activation service is executed because the systemd configuration file for the dmraid activation service is configured incorrectly.

Expected results:

The dmraid driver will load and activate the configured drives prior to the raid drives being mounted.

Additional info:
Comment 1 Peter Rajnoha 2015-09-23 07:06:48 EDT
The "local-fs.target" should be replaced with "local-fs-pre.target". This is a change directly in fedora dmraid git tree (not upstream) - moving state to POST to pick this change within next update.
Comment 2 Fedora End Of Life 2015-11-04 10:50:49 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-12-02 10:26:33 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.